%define upstream_name	 Audio-DSP
%define upstream_version 0.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 28

Summary:	Perl interface to OSS digital audio device
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Audio/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		Audio-DSP-0.02-VOCP.patch

BuildRequires:	perl-devel


%description
Audio::DSP is built around the OSS (Open Sound System) API and allows perl to
interface with a digital audio device. It provides, among other things, an
initialization method which opens and handles ioctl messaging on the audio
device file. Audio::DSP also provides some rudimentary methods for the storage
and manipulation of audio data in memory.

In order to use Audio::DSP, you'll need to have the necessary OSS
drivers/libraries installed. OSS is available for many popular Unices, and a
GPLed version (with which this extension was initially developed and tested) is
distributed with with the Linux kernel. 

%prep

%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
# doesn't work

%install
%make_install

%files
%doc Changes MANIFEST README
%{perl_vendorarch}/Audio
%{perl_vendorarch}/auto/Audio
%{_mandir}/man3/*


%changelog
* Fri Dec 01 2023 tv <tv> 0.20.0-28.mga10
+ Revision: 2012060
- Rebuild for perl-5.38

* Mon Jun 13 2022 tv <tv> 0.20.0-27.mga9
+ Revision: 1864264
- Fixup sources after r1780359:'Switch to https URLs' :-(
+ umeabot <umeabot>
- Rebuild for Perl 5.36
- Rebuild for Perl 5.36
- Rebuild for Perl 5.36
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.20.0-23.mga9
+ Revision: 1726391
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.20.0-22.mga8
+ Revision: 1594259
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.20.0-21.mga8
+ Revision: 1529344
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.20.0-20.mga8
+ Revision: 1433340
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.20.0-19.mga7
+ Revision: 1292001
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 pterjan <pterjan> 0.20.0-18.mga7
+ Revision: 1248946
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.20.0-17.mga7
+ Revision: 1163139
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.20.0-16.mga7
+ Revision: 1148643
- Rebuild for perl ABI changes

* Mon Jul 24 2017 sander85 <sander85> 0.20.0-15.mga7
+ Revision: 1129840
- Rebuild for perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-14.mga6
+ Revision: 1022603
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.20.0-13.mga6
+ Revision: 956724
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 sander85 <sander85> 0.20.0-12.mga6
+ Revision: 844138
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-11.mga5
+ Revision: 750952
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-10.mga5
+ Revision: 683560
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.20.0-9.mga5
+ Revision: 630809
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-8.mga4
+ Revision: 524678
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.20.0-7.mga4
+ Revision: 431371
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-6.mga3
+ Revision: 363231
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-5.mga3
+ Revision: 250270
- rebuild for perl 5.16

* Sat Jun 11 2011 jquelin <jquelin> 0.20.0-4.mga2
+ Revision: 103453
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-3.mga1
+ Revision: 32723
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 29796
- mageia rebuild
- imported package perl-Audio-DSP

